#!/usr/bin/perl
$|=1;
##############################################################################
# OIL Export to SimpleMail                                                   #
# Copyright 2002 MarkeTrends    mrt@marketrends.net                          #
# Created 08/04/02              Last Modified 08/04/02                       #
##############################################################################
# Opt-In Lightning conversion script instructions.
# Set the OIL database variables in this script.
# Set the path of $file to your SimpleMail list. Example: ./lists/somelist
# Upload this script to your SimpleMail 'mailer' folder.  
# chmod this script to 755 (rwxr-xr-x).
# Point your web browser to http://www.somedomain.com/mailer/oil-export.pl
# Login to your SimpleMail control panel and select your list and click save.
# Conversion now complete.
#
#                Support: http://www.marketrends.net/maillist/ 
# 
##############################################################################
$file = "./lists/";

$sql_hostname = "localhost";
$sql_username = "db_username";
$sql_password = "db_password";
$sql_database = "optin_lightning_db";

##############################################################################
# Nothing below this line need editing.                                      #
##############################################################################
use CGI::Carp qw(fatalsToBrowser);
use DBI;
$dbi = DBI;
$tablename="Users";        
##############################################################################
$dbh = $dbi->connect( "DBI:mysql:$sql_database:$sql_hostname", $sql_username, $sql_password );
$rv  = $dbi->err;
$str = $dbi->errstr;

if ($dbi->err != 0)
{
    print "Can't connect to database:.$dbi->err.:.$dbi->errstr\n";
	exit;
}

# Selecting a record for view,  in this case all records.
$out = $dbh->prepare("SELECT FULLNAME, EMAIL FROM $tablename");
$out->execute;

if ($out->err != 0)
{
    print "Can't fetch email addresses to send sequence to:.$out->err.:.$out->errstr\n";
    exit;
}

open(FILE, ">>$file");

$cnt = "0";
while (($first_name, $email) = $out->fetchrow_array) {$cnt++;
print FILE "$first_name, $email\n";
# print ".";
}

close(FILE);
chmod(0666, "$file");

$out->finish;
$dbh->disconnect;

print "Content-type: text/html\n\n";
print "\n$cnt email addresses were sucessfully exported to $file.\n";

exit;